%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id \{73a6fe31-595d-460b-a920-fcc0f8843232\}
%global inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}

%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
%global sym_link_dir %{moz_extensions}/%{seamonkey_app_id}

Name:           mozilla-noscript
Version:        2.1.1
Release:        1%{?dist}
Summary:        JavaScript white list extension for Mozilla Firefox

Group:          Applications/Internet
License:        GPLv2+
URL:            http://noscript.net/
# Source is a .xpi file, there is no public VCS or a tarball
Source0:        https://secure.informaction.com/download/releases/noscript-%{version}.xpi
Patch0:         noscript-preferences.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dos2unix
%if 0%{?rhel} == 5
Requires:       firefox
%else
Requires:       mozilla-filesystem
%endif
BuildArch:      noarch


%description
The NoScript Firefox extension provides extra protection for Firefox.
It allows JavaScript, Java, Flash and other plug-ins to be executed only by
trusted web sites of your choice (e.g. your online bank) and additionally
provides Anti-XSS protection.


%prep
%setup -q -c
%patch0 -b .prefs
dos2unix -f GPL.txt
dos2unix NoScript_License.txt

%build


%install
rm -rf %{buildroot}
install -Dp -m 644 chrome.manifest %{buildroot}%{inst_dir}/chrome.manifest
#install -Dp -m 644 install.js %{buildroot}%{inst_dir}/install.js
install -Dp -m 644 install.rdf %{buildroot}%{inst_dir}/install.rdf
install -Dp -m 644 components/noscriptService.js %{buildroot}%{inst_dir}/components/noscriptService.js
install -Dp -m 644 defaults/preferences/noscript.js %{buildroot}%{inst_dir}/defaults/preferences/noscript.js
install -Dp -m 644 chrome/noscript.jar %{buildroot}%{inst_dir}/chrome/noscript.jar

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{sym_link_dir}
ln -s %{inst_dir} %{buildroot}%{sym_link_dir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GPL.txt NoScript_License.txt mozilla.cfg
%{inst_dir}
%{sym_link_dir}


%changelog
* Fri Jun  3 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.1.1-1
- update to new version (#691356)
- renew patch

* Thu Mar 10 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.0.9.9-1
- update to new version (#667389)
- renew patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.0.9.2-1
- update to new version
- renew patch

* Mon Oct 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.5.1-1
- update to new version

* Mon Oct 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.3.5-1
- update to new version
- renew patch

* Thu Aug 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.2.1-2
- require firefox and not mozilla-filesystem on el5

* Wed Aug 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.2.1-1
- update to new version

* Fri Jul 30 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0-1
- update to new version

* Sun Jul 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.10-1
- new version
- renew preferences patch

* Wed Jun 30 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.97-1
- new version

* Sat Jun 12 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.87-1
- new version

* Fri May 28 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.81-1
- new version

* Mon May 24 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.79-1
- new version

* Sun May 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.74-1
- new version
- renew patch

* Thu Apr 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.69-1
- new version

* Mon Apr 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.66-1
- new version

* Sat Apr  3 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.60-1
- new version

* Fri Mar 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.57-1
- update to new version
- force dos2unix on 'binary' GPL.txt
- renew patch

* Sat Feb 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.50-1
- update to new version
- fix some spelling errors

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.45-1
- update to new version

* Sat Jan 23 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.39-1
- update to new version

* Sat Jan 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-4
- install with -p

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-3
- also install seamonkey app_id (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-2
- remove R: firefox, this plugin also works for seamonky and so on
  it's up to the user, what to use (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-1
- update to new version
- %%global vs %%define
- install in %%{_datadir} -> noarch
- delete changelog
- R: mozilla-filesystem for owning %%{_datadir}/mozilla/extensions

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.9.6-1
- Initial package
